org.codehaus.plexus.maven.plugin

## Class ClassComponentDescriptorExtractor

- java.lang.Object
- - org.codehaus.plexus.maven.plugin.ComponentDescriptorExtractorSupport
  - - org.codehaus.plexus.maven.plugin.ClassComponentDescriptorExtractor

All Implemented Interfaces:
  ComponentDescriptorExtractor

    public class ClassComponentDescriptorExtractor
    extends ComponentDescriptorExtractorSupport

Extracts `ComponentDescriptor` from class files.

Version:
  $Id: ClassComponentDescriptorExtractor.java 6932 2007-10-05 10:49:15Z user57 $

### Field Summary

### Fields inherited from class org.codehaus.plexus.maven.plugin.ComponentDescriptorExtractorSupport

`log`

### Fields inherited from interface org.codehaus.plexus.maven.plugin.ComponentDescriptorExtractor

`COMPILE_SCOPE, ROLE, TEST_SCOPE`

### Constructor Summary

Constructors
Constructor and Description
`ClassComponentDescriptorExtractor()`
`ClassComponentDescriptorExtractor(org.codehaus.plexus.cdc.gleaner.ClassComponentGleaner gleaner)`

### Method Summary

Methods
`List` `extract(org.apache.maven.project.MavenProject project, String scope, org.codehaus.plexus.component.repository.cdc.ComponentDescriptor[] roleDefaults)`

### Methods inherited from class org.codehaus.plexus.maven.plugin.ComponentDescriptorExtractorSupport

`applyDefaults, getDefaultsByRole`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClassComponentDescriptorExtractor

    public ClassComponentDescriptorExtractor(org.codehaus.plexus.cdc.gleaner.ClassComponentGleaner gleaner)

#### ClassComponentDescriptorExtractor

    public ClassComponentDescriptorExtractor()

### Method Detail

#### extract

    public List extract(org.apache.maven.project.MavenProject project,
               String scope,
               org.codehaus.plexus.component.repository.cdc.ComponentDescriptor[] roleDefaults)
                 throws Exception

Throws:
  `Exception`